Loading...
Searching...
No Matches
XrdOfsConfigPI.cc File Reference
`#include <unistd.h>`
`#include <cctype>`
`#include <cstdlib>`
`#include <cstring>`
`#include <cstdio>`
`#include <sys/param.h>`
`#include "XrdVersion.hh"`
`#include "XrdAcc/XrdAccAuthorize.hh"`
`#include "XrdCks/XrdCks.hh"`
`#include "XrdCks/XrdCksConfig.hh"`
`#include "XrdCms/XrdCmsClient.hh"`
`#include "XrdOfs/XrdOfs.hh"`
`#include "XrdOfs/XrdOfsConfigPI.hh"`
`#include "XrdOfs/XrdOfsFSctl_PI.hh"`
`#include "XrdOfs/XrdOfsPrepare.hh"`
`#include "XrdOss/XrdOss.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucPinLoader.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysFAttr.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPlugin.hh"`
Include dependency graph for XrdOfsConfigPI.cc:

Go to the source code of this file.

## Macros

#define | DO_LOAD(x)
#define | PIX(x)

## Functions

| XrdVERSIONINFOREF (XrdOfs)

## Macro Definition Documentation

## DO_LOAD

#define DO_LOAD | ( |  | x | ) |

Value:
loadLib & (x & ~libIXMask)

Definition at line 82 of file XrdOfsConfigPI.cc.

Referenced by XrdOfsConfigPI::Load().

## PIX

#define PIX | ( |  | x | ) |

Value:
x & libIXMask

Definition at line 84 of file XrdOfsConfigPI.cc.

Referenced by XrdOfsConfigPI::ConfigCtl(), XrdOfsConfigPI::Configure(), XrdOfsConfigPI::Default(), XrdOfsConfigPI::Display(), XrdOfsConfigPI::Load(), XrdOfsConfigPI::Parse(), and XrdOfsConfigPI::Push().

## Function Documentation

## XrdVERSIONINFOREF()

XrdVERSIONINFOREF | ( | XrdOfs |  | ) |